> For the complete documentation index, see [llms.txt](https://docs.ticko.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ticko.xyz/api-documentation/overview/enum-definitions.md).

# Enum Definitions

## Market Enums

**Symbol status:**

* `pre_launch`: symbol is available for pre-launch order placement according to its trading mode.
* `trading`: symbol is open for trading.
* `suspended`: symbol is temporarily suspended.
* `delisted`: symbol is no longer tradable.

**Trading mode:**

* `normal`: normal trading.
* `limit_only`: only limit orders are accepted.
* `post_only`: only post-only limit orders with manual `price` are accepted.
* `reduce_only`: only reduce-only orders are accepted.
* `cancel_only`: only cancel requests are accepted.

**Kline interval:**

* `1m`
* `5m`
* `15m`
* `30m`
* `1h`
* `2h`
* `4h`
* `6h`
* `8h`
* `12h`
* `1d`
* `1w`
* `1M`

## Trading Enums

**Order state:**

* `new`: order has been accepted but is not yet open on the book.
* `open`: order is active.
* `partially_filled`: order is active and partially filled.
* `filled`: order is fully filled.
* `canceled`: order was canceled.
* `rejected`: order was rejected.
* `untriggered`: conditional order is waiting for trigger conditions.
* `triggered`: conditional order has triggered.

**Order type:**

* `limit`: limit order.
* `market`: market order.

**Order filter:**

* `market`: market orders.
* `limit`: limit orders.
* `conditional`: conditional orders.
* `partial_tpsl`: partial TPSL orders.
* `full_tpsl`: full TPSL orders.

**Time in force:**

* `gtc`: good till canceled.
* `fok`: fill or kill.
* `ioc`: immediate or cancel.

**Position side:**

* `both`: one-way position side.
* `long`: hedge-mode long side.
* `short`: hedge-mode short side.

**Margin mode:**

* `cross`: cross margin.
* `isolated`: isolated margin.

**Market order type:**

* `base`: quantity is denominated in base asset.
* `quote`: quantity is denominated in quote asset. Spot only.

**STP mode:**

* `cancel_maker`: cancel maker order on self-trade.
* `cancel_taker`: cancel taker order on self-trade.
* `cancel_both`: cancel both maker and taker orders on self-trade.
* `none`: disable self-trade protection.

**Price match:**

* `queue_1`: queue price level 1.
* `queue_5`: queue price level 5.
* `counter_party_1`: counterparty price level 1.
* `counter_party_5`: counterparty price level 5.

**Algorithmic order type:**

* `conditional`: conditional trigger order.
* `tpsl`: standalone take-profit / stop-loss order.
* `attached_tpsl`: TPSL attached to a parent order.

**Order flag:**

* `post_only`: order must rest on the book and must not immediately match.
* `reduce_only`: order may only reduce exposure.

**Trigger price source:**

* `last_price`: trigger against last traded price.
* `mark_price`: trigger against mark price. Perpetuals only.
* `oracle_price`: trigger against oracle/index price. Perpetuals only.

**TPSL mode:**

* `full`: full-position TPSL.
* `partial`: partial-position TPSL.

**TPSL child order type:**

* `market`: trigger creates a market child order.
* `limit`: trigger creates a limit child order.

## Account Enums

**Position mode:**

* `one_way`: one-way position mode.
* `hedge`: hedge position mode.

**Asset flow type:**

* `deposit`: deposit flow.
* `withdrawal`: withdrawal flow.
* `transfer`: internal transfer flow.
* `recipient_init_fee`: recipient initialization fee flow.

**Trading flow type:**

* `trade`: trading execution.
* `margin_transfer`: isolated margin transfer.
* `funding_fee`: funding fee settlement.
* `interest`: interest settlement.
* `liquidation`: liquidation from the liquidated user's perspective.
* `takeover`: position takeover from the insurance fund's perspective.
* `adl`: auto-deleveraging.

**Trading flow action subtype:**

**Trade actions:**

* `buy`: spot buy, or perpetual one-way buy.
* `sell`: spot sell, or perpetual one-way sell.
* `open_long`: perpetual hedge-mode open long.
* `open_short`: perpetual hedge-mode open short.
* `close_long`: perpetual hedge-mode close long.
* `close_short`: perpetual hedge-mode close short.

**Margin transfer actions:**

* `margin_increase`: add isolated margin from cross balance to an isolated position.
* `margin_decrease`: remove isolated margin from an isolated position to cross balance.

**Funding fee actions:**

* `funding_income`: funding fee received.
* `funding_expense`: funding fee paid.

**Interest actions:**

* `interest_income`: interest received.
* `interest_expense`: interest paid.

**Liquidation actions:**

* `netting_buy`: one-way liquidation netting buy.
* `netting_sell`: one-way liquidation netting sell.
* `netting_close_long`: hedge-mode liquidation netting close long.
* `netting_close_short`: hedge-mode liquidation netting close short.
* `liquidate_buy`: one-way liquidation buy.
* `liquidate_sell`: one-way liquidation sell.
* `liquidate_close_long`: hedge-mode liquidation close long.
* `liquidate_close_short`: hedge-mode liquidation close short.
* `convert_buy`: one-way liquidation conversion buy.
* `convert_sell`: one-way liquidation conversion sell.
* `takeover_buy`: one-way takeover buy from the liquidated user's perspective.
* `takeover_sell`: one-way takeover sell from the liquidated user's perspective.
* `takeover_close_long`: hedge-mode takeover close long from the liquidated user's perspective.
* `takeover_close_short`: hedge-mode takeover close short from the liquidated user's perspective.
* `liq_adjust_add`: remaining asset transferred to the insurance fund.
* `liq_adjust_reduce`: remaining liability absorbed by the insurance fund.

**Takeover actions:**

* `acquire_long`: insurance fund acquires a long position.
* `acquire_short`: insurance fund acquires a short position.
* `adjust_add`: remaining asset added to the insurance fund.
* `adjust_reduce`: remaining liability absorbed by the insurance fund.

**ADL actions:**

* `adl_buy`: one-way ADL buy.
* `adl_sell`: one-way ADL sell.
* `adl_close_long`: hedge-mode ADL close long.
* `adl_close_short`: hedge-mode ADL close short.

## Explorer Enums

**Explorer action type:**

* `update_coin`: coin metadata update.
* `update_symbol`: symbol metadata update.
* `update_price`: price update.
* `update_funding_rate`: funding rate update.
* `algo_trigger`: algorithmic order trigger.
* `trigger_liquidation`: liquidation trigger.
* `approve_agent`: approve API key / Agent key.
* `revoke_agent`: revoke API key / Agent key.
* `renew_agent`: renew API key / Agent key.
* `create_sub_account`: create sub-account.
* `place_order`: place order.
* `cancel_order`: cancel order.
* `modify_order`: modify order.
* `batch_order`: batch place orders.
* `batch_cancel`: batch cancel orders.
* `batch_modify`: batch modify orders.
* `cancel_all`: cancel all matching active orders.
* `adjust_isolated_margin`: adjust isolated margin.
* `chase_order`: chase order.
* `set_position_mode`: set position mode.
* `set_perp_leverage`: set perpetual leverage.
* `trigger_adl`: auto-deleveraging trigger.
* `authority`: authority operation.
* `deposit`: deposit.
* `withdraw`: withdrawal.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ticko.xyz/api-documentation/overview/enum-definitions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
